# Refunds from suppliers: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/refund-from-supplier/

Bimp API methods for the “Refunds from suppliers” resource (`/org2/refundFromSupplier/…`): 4 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/refundFromSupplier/api-read`](#api-read) | A request to obtain detailed information for a refund from supplier document |
| [`POST /org2/refundFromSupplier/api-create`](#api-create) | A request to create a refund from supplier document |
| [`POST /org2/refundFromSupplier/api-update`](#api-update) | A request to update a refund from supplier document |
| [`POST /org2/refundFromSupplier/api-cancel`](#api-cancel) | Archive a refund from supplier document |

## api-read

`POST /org2/refundFromSupplier/api-read`

A request to obtain detailed information for a refund from supplier document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a refund from supplier document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a refund from supplier document |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  |
| `name` | string |  |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `counterparty` | string (uuid) | A unique uuid key for a supplier |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `status` | string (uuid) | A unique uuid key for a document status |
| `author` | string (uuid) | A unique uuid key for a document author |
| `currency` | string (uuid) | A unique uuid key for a currency |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `expenseItem` | string (uuid) | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `project` | string (uuid) \| null |  |
| `documentSum` | number | Total amount of the refund document |
| `paymentDetails` | object[] | Payment breakdown by supplier order |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].refundSum` | number | Refund amount for this supplier order |
| `paymentDetails[].documentType` | number | Linked document type id (defaults to invoice for supplier payment) |
| `paymentDetails[].hasPayment` | boolean | Whether the linked document has a payment |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-create

`POST /org2/refundFromSupplier/api-create`

A request to create a refund from supplier document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `counterparty` | string (uuid) | yes | A unique uuid key for a supplier |
| `organization` | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `paymentEntity` | string (uuid) | yes | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `author` | string (uuid) | yes | A unique uuid key for a document author |
| `expenseItem` | string (uuid) | yes | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `paymentDetails` | object[] | yes | Payment breakdown by supplier order |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | yes | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].refundSum` | number | yes | Refund amount for this supplier order |
| `paymentDetails[].documentType` | number |  | Linked document type id (defaults to invoice for supplier payment) |
| `paymentDetails[].hasPayment` | boolean |  | Whether the linked document has a payment |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `name` | string |  |  |
| `status` | string (uuid) |  | A unique uuid key for a document status |
| `project` | string (uuid) \| null |  |  |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `documentSum` | number |  | Total amount of the refund document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a refund from supplier document |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  |
| `name` | string |  |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `counterparty` | string (uuid) | A unique uuid key for a supplier |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `status` | string (uuid) | A unique uuid key for a document status |
| `author` | string (uuid) | A unique uuid key for a document author |
| `currency` | string (uuid) | A unique uuid key for a currency |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `expenseItem` | string (uuid) | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `project` | string (uuid) \| null |  |
| `documentSum` | number | Total amount of the refund document |
| `paymentDetails` | object[] | Payment breakdown by supplier order |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].refundSum` | number | Refund amount for this supplier order |
| `paymentDetails[].documentType` | number | Linked document type id (defaults to invoice for supplier payment) |
| `paymentDetails[].hasPayment` | boolean | Whether the linked document has a payment |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}]}'
```

## api-update

`POST /org2/refundFromSupplier/api-update`

A request to update a refund from supplier document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a refund from supplier document |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `name` | string |  |  |
| `status` | string (uuid) |  | A unique uuid key for a document status |
| `expenseItem` | string (uuid) |  | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `counterparty` | string (uuid) |  | A unique uuid key for a supplier |
| `project` | string (uuid) \| null |  |  |
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `paymentEntity` | string (uuid) |  | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `author` | string (uuid) |  | A unique uuid key for a document author |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `documentSum` | number |  | Total amount of the refund document |
| `paymentDetails` | object[] |  | Payment breakdown by supplier order |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | yes | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].refundSum` | number | yes | Refund amount for this supplier order |
| `paymentDetails[].documentType` | number |  | Linked document type id (defaults to invoice for supplier payment) |
| `paymentDetails[].hasPayment` | boolean |  | Whether the linked document has a payment |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a refund from supplier document |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  |
| `name` | string |  |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `counterparty` | string (uuid) | A unique uuid key for a supplier |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `status` | string (uuid) | A unique uuid key for a document status |
| `author` | string (uuid) | A unique uuid key for a document author |
| `currency` | string (uuid) | A unique uuid key for a currency |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `expenseItem` | string (uuid) | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `project` | string (uuid) \| null |  |
| `documentSum` | number | Total amount of the refund document |
| `paymentDetails` | object[] | Payment breakdown by supplier order |
| `paymentDetails[].invoiceForSupplierPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `paymentDetails[].refundSum` | number | Refund amount for this supplier order |
| `paymentDetails[].documentType` | number | Linked document type id (defaults to invoice for supplier payment) |
| `paymentDetails[].hasPayment` | boolean | Whether the linked document has a payment |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-cancel

`POST /org2/refundFromSupplier/api-cancel`

Archive a refund from supplier document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a refund from supplier document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
